///sat
#include <chrono>
using namespace std::chrono;
#define vremestart auto start = high_resolution_clock::now();
#define vremeend auto stop = high_resolution_clock::now();
#define vremeispis auto duration = duration_cast<microseconds>(stop - start); cout << duration.count() << endl;
///sat
#define here cerr<<"here\n";
#define popcount(x) __builtin_popcount(x) ///broji broj bitova
#include <bits/stdc++.h>
#define mode 998244353
#define gcd __gcd
#define ld double
#define ll long long
#define ull unsigned long long
#define llinf 1000000000000000000LL
#define iinf 2000000000
#define pb push_back
#define popb pop_back
#define fi first
#define sc second
#define th third
#define fo fourth
#define endl '\n'
#define pii pair<int,int>
#define pll pair<ll,ll>
#define pld pair<ld,ld>
#define sz(a) int(a.size())
#define all(a) a.begin(),a.end()
#define rall(a) a.begin(),a.end(),greater<int>()
using namespace std;
#define maxn 200005
pld a[maxn];
int n;
bool cmp(pld x,pld y){
    return x.sc<y.sc;
}
int main(){
	ios_base::sync_with_stdio(false);cerr.tie(0);cout.tie(0);cin.tie(0);
	cout<<fixed<<setprecision(6);
    cin >> n;
    ld sum = 0;
    for(int i = 1;i<=n;i++){
        cin >> a[i].fi >> a[i].sc;
        sum+=a[i].fi;
    }
    sort(a+1,a+n+1,cmp);
    ld ans = 0;
    for(int i = 1;i<=n;i++){
        ans = max(ans,(a[i].sc/100)*sum);
        sum-= a[i].fi;
    }
    cout<<ans;
    return 0;
}
/*
10
342 12.3
13424 12.3
3242 12.3
1342 45.3
121 45.3
9099 45.3
4353 25.05
234 25.05
14234 25.05
79799 25.05
output: 50928.072000
*/